Scilab function
Last update : 16/6/2004

girth - circonférence d'un graphe orienté

### Calling Sequence

  `d = girth(g)`

### Parameters

- `g` : graphe (liste)
- `d` : entier

### Description

`girth` calcule la longueur (nombre d'arcs) du cycle le plus petit dans un graphe orienté non pondéré `g`.

### Examples

    ta=[1 6 2 4 7 5 6 8 4 3 5 1];
    he=[2 1 3 6 4 8 8 7 2 7 3 5];
    g=make_graph('foo',1,8,ta,he);
    g('node_x')=[285  284  335  160  405  189  118  45];
    g('node_y')=[266  179   83  176  368  252  64  309];
    show_graph(g);
    d=girth(g)